% General purpose callback for modelit matlab webserver. Responds to   
% http-get and http-put requests with parameters passed on as name/value   
% pair like in "/test/demo_form.php?name1=value1&name2=value2"   
% The utility takes care of identifying the request-type and directing the   
% request to a specific matlab function. This is useful for defining "multi   
% purpose" webservers that combine several tasks. The utility also takes   
% care of error handling.   
%   
%  CALL:   
%     response = http_callback(event,port, fp_getrequesttype, actions)   
%   
%  INPUT:   
%     obj:   
%        <nl.modelit.matlabserver.MatlabServer>   
%     event:   
%        <nl.modelit.matlabserver.ServerEvent>, use event2Struct to get data from   
%        this object. Assume arguments are passed on through http get string   
%     port:   
%        port of current webservice. This will not be used in current   
%        function but is passed in call:   
%          [msg,response,content_type]=actions(f_action).action(event,port)   
%     fp_getrequesttype:   
%          used in call   
%          [msg,f_action]=get_action_nr(event,fp_getrequesttype,actions);   
%          when empty ==> f_action=1   
%          function pointer with signature:   
%              type=fp_getrequesttype(event)   
%          Specify as char string to simply read property "string" as   
%          requestype   
%      actions:   
%          struct array with possible actions.   
%          actions(N).name ==> char string that must corrrespond to   
%                              fp_getrequesttype   
%          actions(N).action ==> function pointer to function with   
%                                signature:   
%                                [msg,response,content_type]=fp(event,port)   
%   
%  OUTPUT:   
%     no output   
   
   
% © Modelit 2006-2023   
% Matlab release: 2020b   
% Date: 2023/01/25 13:07:43   
