%  serialize - Serialize a Matlab variable.   
%   
%  CALL;   
%      byteData = serialize(S, ishex)   
%   
%  INPUT:   
%      S: <any>   
%          matlab variable   
%      ishex: <boolean>   
%          if false (default)   
%              return (1xN) uint8 byte array   
%          if true:   
%              return (1xP) char array with elements in   
%              0123456789ABCDEF. P  = (approx) 2*N   
%   
%  OUTPUT:   
%      byteData: <uint8[N,1]|char[P,1]>   
%          serialized form of S. Use deserialize to convert back.   
%   
%  NOTE:   
%      If used with ishex is "false" de serialized string may contain   
%      escape characters that are not acceptable as output of a webservice.   
%      With ishex is "true" the output is less compressed, but does not give   
%      such problems.   
%   
%  See also:   
%      deserialize   
   
   
% © Modelit 2006-2023   
% Matlab release: 2020b   
% Date: 2023/01/25 13:07:43   
